OpenTTD Source: SlTownSuppliedHistory Class Reference

OpenTTD Source 15.0-RC2

Public Member Functions | Static Public Attributes
SlTownSuppliedHistory Class Reference
Inheritance diagram for SlTownSuppliedHistory:

## Public Member Functions
void | Save (Town::SuppliedCargo *p) const override
void | Load (Town::SuppliedCargo *p) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlTownSuppliedHistory, Town::SuppliedCargo >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (Town::SuppliedCargo *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
virtual void | FixPointers (Town::SuppliedCargo *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = {}

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 158 of file town_sl.cpp.

## Member Function Documentation

## ◆ Load()

void SlTownSuppliedHistory::Load | ( | Town::SuppliedCargo * | p | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlTownSuppliedHistory, Town::SuppliedCargo >.

Definition at line 175 of file town_sl.cpp.

## ◆ Save()

void SlTownSuppliedHistory::Save | ( | Town::SuppliedCargo * | p | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlTownSuppliedHistory, Town::SuppliedCargo >.

Definition at line 166 of file town_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlTownSuppliedHistory::compat_description = {}
| inlinestatic

Definition at line 164 of file town_sl.cpp.

## ◆ description

const SaveLoad SlTownSuppliedHistory::description[]
| inlinestatic

Initial value:
= {
SLE_VAR(Town::SuppliedHistory, production, SLE_UINT32),
SLE_VAR(Town::SuppliedHistory, transported, SLE_UINT32),
}
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition saveload.h:1017
Town::SuppliedHistory
Definition town.h:88

Definition at line 160 of file town_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/town_sl.cpp